package com.emato.cus.supervise.constant;

/**
 * @author Scott Chen
 * @version 1.0
 * 2017-10-28 11:54
 */
public enum EmtRecordTimeEnum {
    I_ACQ_INVENTORY_INFO("ACQ_INVENTORY_INFO", "企业库存信息"),
    ACQ_SHELF_LOAD("ACQ_SHELF_LOAD", "企业货物上下架信息:上架"),
    ACQ_SHELF_LOAD_DOWN("ACQ_SHELF_LOAD_DOWN", "企业货物上下架信息:下架"),
    ACQ_GOODS_MOVE_UP("ACQ_GOODS_MOVE_UP", "企业货物在仓库的移动信息:上架"),
    ACQ_GOODS_MOVE_DOWN("ACQ_GOODS_MOVE_DOWN", "企业货物在仓库的移动信息:下架"),
    ACQ_GOODS_ON_SEAT("ACQ_GOODS_ON_SEAT", "库位上的货物信息"),

    OMS_SHOP_ACQ_GOODS_MOVE("OMS_SHOP_ACQ_GOODS_MOVE", "门店货物转移"),
    OMS_SHOP_ACQ_GOODS_ON_SEAT("OMS_SHOP_ACQ_GOODS_ON_SEAT", "门店在库库存"),
    OMS_SHOP_ACQ_INVENTORY_INFO("OMS_SHOP_ACQ_INVENTORY_INFO", "门店库存信息"),
    OMS_SHOP_ACQ_SHELF_LOAD_UP("OMS_SHOP_ACQ_SHELF_LOAD_UP", "门店进场货物信息"),
    OMS_SHOP_ACQ_SHELF_LOAD_DOWN("OMS_SHOP_ACQ_SHELF_LOAD_DOWN", "门店出场货物信息"),
    OMS_SHOP_ACQ_SHELF_LOAD_SALE_DOWN("OMS_SHOP_ACQ_SHELF_LOAD_SALE_DOWN", "门店销售货物信息");

    private String code;
    private String name;

    EmtRecordTimeEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
