package com.emato.cus.supervise.schedule;

import com.emato.cus.supervise.biz.OutFee.OutFeeBiz;
import com.emato.cus.supervise.biz.acqGoodsMoveSchedule.up.AcqGoodsMoveUpBiz;
import com.emato.cus.supervise.util.LocalDateTimeUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;

/**
 *
 * 货物库位移动数据 计划任务
 * @author zengjunlin
 * @version 1.0
 * 2018-02-03 15:18
 */
@Deprecated
@Configuration
@EnableScheduling
public class OutFeeSchedule {
    private static final Logger logger = LoggerFactory.getLogger(OutFeeSchedule.class);

    @Autowired
    private OutFeeBiz outFeeBiz;


    /**
     *
     */
    //@Scheduled(cron = "0/10 * * * * ? ")
    public void timerUp() {
        logger.info("==================== 计算关税开始 ====================");
        String begDateTime = LocalDateTimeUtils.formatNow(LocalDateTimeUtils.DATA_TIME_HYPHEN);
        logger.info("--- 任务开始时间: {}", begDateTime);
        outFeeBiz.task();


        String endDateTime = LocalDateTimeUtils.formatNow(LocalDateTimeUtils.DATA_TIME_HYPHEN);
        logger.info("--- 任务结束时间: {}", endDateTime);
        logger.info("==================== 计算关税结束 ====================");

    }


}
